Project

General

Profile

Bug #21950

SyncPlan Start Date modified when creating and became Invalid when updating any sync plan field

Added by Walden Raines 9 months ago. Updated 2 months ago.

Status:
New
Priority:
Normal
Assignee:
Category:
-
Target version:
Difficulty:
Triaged:
Yes
Bugzilla link:
Pull request:
Team Backlog:
Fixed in Releases:
Found in Releases:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1460146
Description of problem:
SyncPlan StartDate modified when creating and became Invalid when updating any sync plan field

Version-Release number of selected component (if applicable):
  • candlepin-2.0.35-1.el7.noarch
  • candlepin-selinux-2.0.35-1.el7.noarch
  • foreman-1.15.0-1.el7sat.noarch
  • foreman-cli-1.15.0-1.el7sat.noarch
  • foreman-compute-1.15.0-1.el7sat.noarch
  • foreman-debug-1.15.0-1.el7sat.noarch
  • foreman-discovery-image-3.1.1-22.el7sat.noarch
  • foreman-ec2-1.15.0-1.el7sat.noarch
  • foreman-gce-1.15.0-1.el7sat.noarch
  • foreman-installer-1.15.0-1.el7sat.noarch
  • foreman-installer-katello-3.4.0.1-1.el7sat.noarch
  • foreman-libvirt-1.15.0-1.el7sat.noarch
  • foreman-openstack-1.15.0-1.el7sat.noarch
  • foreman-ovirt-1.15.0-1.el7sat.noarch
  • foreman-postgresql-1.15.0-1.el7sat.noarch
  • foreman-proxy-1.15.0-2.el7sat.noarch
  • foreman-rackspace-1.15.0-1.el7sat.noarch
  • foreman-selinux-1.15.0-1.el7sat.noarch
  • foreman-vmware-1.15.0-1.el7sat.noarch
  • katello-3.4.0-3.el7sat.noarch
  • katello-ca-consumer-sat-r220-02.lab.eng.rdu2.redhat.com-1.0-1.noarch
  • katello-certs-tools-2.4.0-1.el7sat.noarch
  • katello-client-bootstrap-1.3.0-1.el7sat.noarch
  • katello-common-3.4.0-3.el7sat.noarch
  • katello-debug-3.4.0-3.el7sat.noarch
  • katello-default-ca-1.0-1.noarch
  • katello-installer-base-3.4.0.1-1.el7sat.noarch
  • katello-selinux-3.0.2-1.el7sat.noarch
  • katello-server-ca-1.0-1.noarch
  • katello-service-3.4.0-3.el7sat.noarch
  • openldap-2.4.40-13.el7.x86_64
  • pulp-client-1.0-1.noarch
  • pulp-docker-plugins-2.3.0-1.el7sat.noarch
  • pulp-katello-1.0.2-1.el7sat.noarch
  • pulp-ostree-plugins-1.2.1-1.el7sat.noarch
  • pulp-puppet-plugins-2.12.2-1.el7sat.noarch
  • pulp-puppet-tools-2.12.2-1.el7sat.noarch
  • pulp-rpm-plugins-2.12.2-1.el7sat.noarch
  • pulp-selinux-2.12.2-1.el7sat.noarch
  • pulp-server-2.12.2-1.el7sat.noarch
  • python-ldap-2.4.15-2.el7.x86_64
  • tfm-rubygem-ldap_fluff-0.4.6-1.el7sat.noarch
  • tfm-rubygem-net-ldap-0.15.0-1.el7sat.noarch

How reproducible:
Always

Steps to Reproduce:
1. Goto Content > Sync Plan
2. Create a sync plan with start date for example 2017-16-15
3.

Actual results:
1. The sync plan is created with Start Date 2017-16-14
2. Any attempt to update any field for example name or description or interval lead to error and the start date became with value Invalid Date

Expected results:
1. The start Date should not be changed by the server
2. The field in the are successfully updated

Additional info:

History

#1 Updated by Walden Raines 9 months ago

  • Target version set to 237

#2 Updated by Andrew Kofink 9 months ago

  • Legacy Backlogs Release (now unused) set to 284

#3 Updated by Walden Raines 9 months ago

  • Target version changed from 237 to 239

#4 Updated by Walden Raines 8 months ago

  • Target version changed from 239 to 243

#5 Updated by Walden Raines 7 months ago

  • Target version changed from 243 to 248

#6 Updated by Walden Raines 7 months ago

  • Target version changed from 248 to 250

#7 Updated by Walden Raines 6 months ago

  • Target version changed from 250 to 253

#8 Updated by John Mitsch 6 months ago

  • Legacy Backlogs Release (now unused) changed from 284 to 352

#9 Updated by Walden Raines 3 months ago

  • Target version deleted (253)

Also available in: Atom PDF